OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_VArrayNodeOfFieldOfHArray2OfReal Class Reference

`#include <PColStd_VArrayNodeOfFieldOfHArray2OfReal.hxx>`

Inheritance diagram for PColStd_VArrayNodeOfFieldOfHArray2OfReal:

[legend]

## Public Member Functions
Standard_EXPORT | PColStd_VArrayNodeOfFieldOfHArray2OfReal ()
Standard_EXPORT | PColStd_VArrayNodeOfFieldOfHArray2OfReal (const Standard_Real &aValue)
Standard_EXPORT void | SetValue (const Standard_Real &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColStd_VArrayNodeOfFieldOfHArray2OfReal (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPColStd_VArrayNodeOfFieldOfHArray2OfRealmyValue () const
void | _CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray2OfRealmyValue (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_VArrayNodeOfFieldOfHArray2OfReal::PColStd_VArrayNodeOfFieldOfHArray2OfReal | ( |  | ) |

Standard_EXPORT PColStd_VArrayNodeOfFieldOfHArray2OfReal::PColStd_VArrayNodeOfFieldOfHArray2OfReal | ( | const Standard_Real & | aValue | ) |

PColStd_VArrayNodeOfFieldOfHArray2OfReal::PColStd_VArrayNodeOfFieldOfHArray2OfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PColStd_VArrayNodeOfFieldOfHArray2OfReal::_CSFDB_GetPColStd_VArrayNodeOfFieldOfHArray2OfRealmyValue | ( |  | ) | const`[inline]`

void PColStd_VArrayNodeOfFieldOfHArray2OfReal::_CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray2OfRealmyValue | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PColStd_VArrayNodeOfFieldOfHArray2OfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColStd_VArrayNodeOfFieldOfHArray2OfReal::SetValue | ( | const Standard_Real & | aValue | ) |

Standard_EXPORT Standard_Address PColStd_VArrayNodeOfFieldOfHArray2OfReal::Value | ( |  | ) | const

## Field Documentation

Standard_Real PColStd_VArrayNodeOfFieldOfHArray2OfReal::myValue`[private]`

The documentation for this class was generated from the following file:

- PColStd_VArrayNodeOfFieldOfHArray2OfReal.hxx